//+------------------------------------------------------------------+
//|                                         SmoothCandle S v1.00.mq4 |
//|  v1.1                           Copyright  2005, Varus Henschke |
//+------------------------------------------------------------------+
//2009fxtsd     ki      
#property  copyright "Copyright  2005, Varus Henschke"
//---- indicator settings
#property  indicator_chart_window
#property  indicator_buffers 4
#property  indicator_color1  Red
#property  indicator_color2  DimGray
#property  indicator_color3  DimGray
#property  indicator_color4  Blue
//---- indicator parameters
extern int MAperiod=5;
extern int MAmode=0;
extern int MAshift=0;
extern int MAClosePrice=0;

extern string   note_Price = "0C 1O 2H 3L 4Md 5Tp 6WghC: Md(HL/2)4,Tp(HLC/3)5,Wgh(HLCC/4)6";
extern string   MA_Mode_  = "SMA0 EMA1 SMMA2 LWMA3";

//---- indicator buffers
double     nOpen[];
double     nHigh[];
double     nLow[];
double     nClose[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicator line
   IndicatorBuffers(4);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexStyle(3,DRAW_LINE);
//---- line shifts when drawing
   SetIndexShift(0,MAshift);
   SetIndexShift(1,MAshift);
   SetIndexShift(2,MAshift);
   SetIndexShift(3,MAshift);
//---- indicator buffers mapping
   if(!SetIndexBuffer(0,nOpen) &&
      !SetIndexBuffer(1,nHigh) && 
      !SetIndexBuffer(2,nLow) && 
      !SetIndexBuffer(3,nClose))
      Print("cannot set indicator buffers!");
//---- name for DataWindow and indicator subwindow label
   //IndicatorShortName("SmoothCandle S SMA ( " +SMA+ " )");
   //SetIndexLabel(0,"Open");
   //SetIndexLabel(1,"High");
   //SetIndexLabel(2,"Low");
   //SetIndexLabel(3,"Close");
//---- initialization done
   return(0);
  }
//+------------------------------------------------------------------+
//| Moving Averages of Candlestick                                   |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();
//---- check for possible errors
   if(counted_bars<0) return(-1);
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
//----   
   limit=Bars-counted_bars;
//----
    for(int i=limit; i>=0; i--)
 
        {
         nOpen[i] =iMA(NULL,0,MAperiod,0,MAmode,PRICE_OPEN,i);
         nHigh[i] =iMA(NULL,0,MAperiod,0,MAmode,PRICE_HIGH,i);
         nLow[i]  =iMA(NULL,0,MAperiod,0,MAmode,PRICE_LOW,i);
         nClose[i]=iMA(NULL,0,MAperiod,0,MAmode,MAClosePrice,i);

        }
//---- done
   return(0);
  }
//+------------------------------------------------------------------+